Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 808965 - How to add a new CDS.
Summary: How to add a new CDS.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: Documentation
Version: 2.1
Hardware: Unspecified
OS: Linux
high
unspecified
Target Milestone: ---
: ---
Assignee: Julie
QA Contact: Martin Kočí
URL:
Whiteboard:
Depends On: 817736
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-02 03:43 UTC by Etsuji Nakai
Modified: 2016-02-18 06:13 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In the Red Hat Update Infrastructure Installation Guide, no description existed for adding a new CDS after RHUI deployment. This fix adds a note with a cross-link to the procedure for adding new CDS, which provides users with the necessary documentation.
Clone Of:
Environment:
Last Closed: 2012-08-24 11:53:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2012:1205 0 normal SHIPPED_LIVE RHUI 2.1 Enhancement Update 2012-08-24 15:52:31 UTC

Description Etsuji Nakai 2012-04-02 03:43:16 UTC
Description of problem:

There's no description how to add a new CDS after RHUI has been deployed. It'd better add it. Here's an example of how to do that.

===========

We suppose the hostname of the new CDS as cds03.example.com.

1. Generate SSL cert for the new CDS
------
# mkdir -p /root/work/pki
# cd /root/work/pki
# cat <<EOF > ssl.conf
[ req ]
prompt = no
distinguished_name = dn
[dn]
CN=cds03.example.com
ST=California
C=US
EOF
# openssl req -batch -config ssl.conf -nodes -newkey rsa:2048 -keyout ssl_cds03.pem -out ssl_cds03.csr
# openssl x509 -req -days 3650 -CA /etc/pki/CA/certs/rhui-ca.crt -CAkey /etc/pki/CA/private/rhui-ca-key.pem -in ssl_cds03.csr -out ssl_cds03.crt
------

2. Prepare the answer file and generate RPM for the new CDS.
------
# cd /root/work
# cat <<EOF > answer.txt
[general]
version: 2.0
dest_dir: /tmp/rhui
qpid_ca: /etc/pki/rhua/qpid-ca.crt
qpid_client: /etc/pki/rhua/qpid-client.crt
qpid_nss_db: /etc/pki/rhua/qpid-nss

[rhua]
rpm_name: rh-rhua01-config
hostname: rhua01.example.com
ssl_cert: /etc/pki/rhua/rhua-ssl-cert.crt
ssl_key: /etc/pki/rhua/rhua-ssl-key.pem
ca_cert: /etc/pki/CA/certs/rhui-ca.crt

[cds-3]
rpm_name: rh-cds03-config
hostname: cds03.example.com
ssl_cert: /root/work/pki/ssl_cds03.crt
ssl_key: /root/work/pki/ssl_cds03.pem
EOF

# rhui-installer answer.txt
------
Note: you should specify QPID/SSL cert files which are already installed in RHUA for the [general] and [rhua] section. The "ca_cert" entiry should be one for your own CA cert.

Finally, install /tmp/rhui/rh-cds03-config-2.0-2.el6.noarch.rpm in cds03.example.com.

Comment 1 Chris Morgan 2012-05-11 14:09:33 UTC
We will add a "repeat for each new CDS" type of comment to section "3.2 Answers file" or whatever the equivalent 2.1 section is.

Comment 3 Martin Kočí 2012-07-26 12:05:54 UTC
in 2.1 has been added this note in 3.3 procedure: "To create a new CDS after Red Hat Update Infrastructure is deployed, please refer to Section 3.3, “Adding New CDS”." with link. 

Moving bug to VERIFIED.

Comment 4 Dan Macpherson 2012-08-14 03:27:23 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
In the Red Hat Update Infrastructure Installation Guide, no description existed for adding a new CDS after RHUI deployment. This fix adds a note with a cross-link to the procedure for adding new CDS, which provides users with the necessary documentation.

Comment 6 errata-xmlrpc 2012-08-24 11:53:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-1205.html


Note You need to log in before you can comment on or make changes to this bug.